Bug 135665 - FILEOPEN DOCX VML shape with Tight wrap imported incorrectly
Summary: FILEOPEN DOCX VML shape with Tight wrap imported incorrectly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Dániel Arató (NISZ)
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: filter:docx
Depends on:
Blocks: DOCX-OLE-Objects
  Show dependency treegraph
 
Reported: 2020-08-12 12:06 UTC by NISZ LibreOffice Team
Modified: 2020-09-15 10:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer (120.84 KB, image/png)
2020-08-12 12:06 UTC, NISZ LibreOffice Team
Details
Screenshot of the document in Writer after enabling Contour manually (124.88 KB, image/png)
2020-08-12 12:06 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-12 12:06:20 UTC
Created attachment 164201 [details]
Screenshot of the original document side by side in Word and Writer

attachment #164180 [details] from bug #135653 contains an OLE object with tight text wrapping and no background color set. This makes the surrounding text to flow inside the objects area.
When opened in Writer the text flows around the OLE object, changing the text layout.
Turning on the Contour option in the Object properties dialogs Wrap tab fixes the behavior.


Steps to reproduce:
    1. Open attachment #164180 [details]

Actual results:
Right side OLE object has text wrapping around it instead of flowing inside its transparent area.

Expected results:
Text flows around the object similarly to Word.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-08-12 12:06:36 UTC
Created attachment 164202 [details]
Screenshot of the document in Writer after enabling Contour manually
Comment 2 Commit Notification 2020-09-07 11:12:56 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4b7ee7bd61f78be60211cc72ba36da987191266e

tdf#135665 DOCX: import tight wrap setting of VML shapes

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-09-15 10:54:54 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6f1e02c96b887750f974c187a82ecd6236e6a435
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Daniel Arato, thanks for fixing this issue!!
Comment 4 Commit Notification 2020-09-15 10:57:10 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2048a2c268125f17a440ec449df4030b91758172

tdf#135665 DOCX: import tight wrap setting of VML shapes

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.